Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.sandesha2.wsrm
Class RMElements

    java.lang.Object
      org.apache.sandesha2.wsrm.RMElements

public class RMElements
extends java.lang.Object

All RM model classes should implement this. RM model classes include all the class that represent the elements defined by RM specification.

Constructor Summary
`RMElements()`
`RMElements(java.lang.String addressingNamespace)`

Method Summary
`void` | `addAckRequested(AckRequested ackRequested)`
`void` | `addSequenceAcknowledgement(SequenceAcknowledgement sequenceAcknowledgement)`
`void` | `fromSOAPEnvelope(org.apache.axiom.soap.SOAPEnvelope envelope, java.lang.String action)`
`java.util.Iterator` | `getAckRequests()`
`CloseSequence` | `getCloseSequence()`
`CloseSequenceResponse` | `getCloseSequenceResponse()`
`CreateSequence` | `getCreateSequence()`
`CreateSequenceResponse` | `getCreateSequenceResponse()`
`MakeConnection` | `getMakeConnection()`
`MessagePending` | `getMessagePending()`
`Sequence` | `getSequence()`
`java.util.Iterator` | `getSequenceAcknowledgements()`
`SequenceFault` | `getSequenceFault()`
`TerminateSequence` | `getTerminateSequence()`
`TerminateSequenceResponse` | `getTerminateSequenceResponse()`
`UsesSequenceSTR` | `getUsesSequenceSTR()`
`void` | `setAckRequested(java.util.ArrayList ackRequests)`
`void` | `setCloseSequence(CloseSequence closeSequence)`
`void` | `setCloseSequenceResponse(CloseSequenceResponse closeSequenceResponse)`
`void` | `setCreateSequence(CreateSequence createSequence)`
`void` | `setCreateSequenceResponse(CreateSequenceResponse createSequenceResponse)`
`void` | `setMakeConnection(MakeConnection makeConnection)`
`void` | `setMessagePending(MessagePending messagePending)`
`void` | `setSequence(Sequence sequence)`
`void` | `setSequenceAcknowledgements(java.util.ArrayList sequenceAcknowledgements)`
`void` | `setTerminateSequence(TerminateSequence terminateSequence)`
`void` | `setTerminateSequenceResponse(TerminateSequenceResponse terminateSequenceResponse)`
`void` | `setUsesSequenceSTR(UsesSequenceSTR header)`
`org.apache.axiom.soap.SOAPEnvelope` | `toSOAPEnvelope(org.apache.axiom.soap.SOAPEnvelope envelope)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RMElements

    public RMElements()

### RMElements

    public RMElements(java.lang.String addressingNamespace)

Method Detail

### fromSOAPEnvelope

    public void fromSOAPEnvelope(org.apache.axiom.soap.SOAPEnvelope envelope,
                                 java.lang.String action)
                          throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### toSOAPEnvelope

    public org.apache.axiom.soap.SOAPEnvelope toSOAPEnvelope(org.apache.axiom.soap.SOAPEnvelope envelope)
                                                      throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### getCreateSequence

    public CreateSequence getCreateSequence()

### getCreateSequenceResponse

    public CreateSequenceResponse getCreateSequenceResponse()

### getSequence

    public Sequence getSequence()

### getSequenceAcknowledgements

    public java.util.Iterator getSequenceAcknowledgements()

### getTerminateSequence

    public TerminateSequence getTerminateSequence()

### getTerminateSequenceResponse

    public TerminateSequenceResponse getTerminateSequenceResponse()

### setCreateSequence

    public void setCreateSequence(CreateSequence createSequence)

### setCreateSequenceResponse

    public void setCreateSequenceResponse(CreateSequenceResponse createSequenceResponse)

### setSequence

    public void setSequence(Sequence sequence)

### setSequenceAcknowledgements

    public void setSequenceAcknowledgements(java.util.ArrayList sequenceAcknowledgements)

### addSequenceAcknowledgement

    public void addSequenceAcknowledgement(SequenceAcknowledgement sequenceAcknowledgement)

### setTerminateSequence

    public void setTerminateSequence(TerminateSequence terminateSequence)

### setTerminateSequenceResponse

    public void setTerminateSequenceResponse(TerminateSequenceResponse terminateSequenceResponse)

### getAckRequests

    public java.util.Iterator getAckRequests()

### setAckRequested

    public void setAckRequested(java.util.ArrayList ackRequests)

### addAckRequested

    public void addAckRequested(AckRequested ackRequested)

### setMakeConnection

    public void setMakeConnection(MakeConnection makeConnection)

### setMessagePending

    public void setMessagePending(MessagePending messagePending)

### getCloseSequence

    public CloseSequence getCloseSequence()

### setCloseSequence

    public void setCloseSequence(CloseSequence closeSequence)

### getCloseSequenceResponse

    public CloseSequenceResponse getCloseSequenceResponse()

### setCloseSequenceResponse

    public void setCloseSequenceResponse(CloseSequenceResponse closeSequenceResponse)

### getUsesSequenceSTR

    public UsesSequenceSTR getUsesSequenceSTR()

### setUsesSequenceSTR

    public void setUsesSequenceSTR(UsesSequenceSTR header)

### getMakeConnection

    public MakeConnection getMakeConnection()

### getMessagePending

    public MessagePending getMessagePending()

### getSequenceFault

    public SequenceFault getSequenceFault()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Apache Web Services Project. All Rights Reserved.